Mailinglist Archive: opensuse-buildservice (156 mails)

< Previous Next >
Re: [opensuse-buildservice] Xgl + Xinerama for Xorg 7 and Buildrequire problem
  • From: Michael Schroeder <mls@xxxxxxx>
  • Date: Tue, 8 Aug 2006 14:20:05 +0200
  • Message-id: <20060808122004.GA15099@xxxxxxx>
On Tue, Aug 08, 2006 at 11:40:13AM +0530, Jigish Gohil wrote:
> Hi all
>
> I am trying to build Xgl with Xinerama patch. I have been successful
> in creating a package built against Xorg7 repository (standard/Xorg7).
> The package is available here:
>
> http://software.opensuse.org/download/Compiz-Quinn/standard/i586/
>
> However building for 10.1 and Factory fails as I have to remove
> xorg-x11-compat70-devel from Buildrequires.
>
> How do I specify buildrequires per repository? I dont know what goes
> in place of ifrepository.

We actually define a '%_repository' macro, but I consider using
it a bit unclean.

Cheers,
Michael.

--
Michael Schroeder mls@xxxxxxx
main(_){while(_=~getchar())putchar(~_-1/(~(_|32)/13*2-11)*13);}

< Previous Next >
References